package io.github.null2264.tsukumogami.bot.core.module

import io.github.null2264.tsukumogami.bot.core.module.arguments.TestArguments
import io.github.null2264.tsukumogami.core.module.api.botModules
import kotlinx.datetime.Clock

val generalModule = botModules("General") {
    commands("ping", description = "Ping the bot!") { ctx ->
        val startTime = Clock.System.now()
        ctx.typing()
        val endTime = Clock.System.now()
        ctx.send("Pong! ${endTime.toEpochMilliseconds() - startTime.toEpochMilliseconds()}ms")
    }

    groups("group") {
        commands("test", arguments = ::TestArguments) { ctx, args -> ctx.send("Hello world ${args.test}") }
    }

    commands("test", arguments = ::TestArguments) { ctx, args -> ctx.send("Hello world ${args.test}") }
}
